#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release 

launcher="/bin/bash"
if [ ! -f /bin/bash ]
then
  launcher="/bin/sh"
fi

launcherphp="/bin/php"
if [ -f /usr/bin/php ]
then
  launcherphp="/usr/bin/php"
fi

cat > /etc/cron.d/radmin-backup <<EOF
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/bin:/sbin:/root/bin
* * * * * root $launcherphp $INSTALLDIR/scripts/sendbackup.php > /dev/null
EOF

exit 0