#!/bin/bash
PRODUCTNAME="radmin"
TMPDIR="/tmp/radmin"
INSTALLDIR="/usr/local"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=1

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"
mkdir -p "/etc/radmin";

#Sauvegarde les fichiers de config
#A partir de la 1.8 ce fichier sera supprimé et remplacé par un fichier json dans /etc/radmin.
#Mais on doit laisser le bloc ci dessous pour des raisons de rétrocompatibilité !
if [ -e "$INSTALLDIR/$PRODUCTNAME/config_client.php" ]
then
    mv "$INSTALLDIR/$PRODUCTNAME/config_client.php" "/etc/radmin/config_client.php.old"
fi


rm -rf "$TMPDIR"
exit